/* Temporary internal state that avoids blocking tracking until getting DMP */
var isDmpReady;
/**
 * Check if DMP is consented by the user using boros API
 * @return {Promise<boolean>}
 */

export var checkIsDMPReady = function checkIsDMPReady() {
  return new Promise(function (resolve) {
    if (typeof window === 'undefined') return resolve();
    if (window.__borosTcf === undefined) return resolve();

    window.__borosTcf.push(function (api) {
      api('isDmpAccepted', function (_ref) {
        var success = _ref.success,
            value = _ref.value;
        isDmpReady = success && value;
        return resolve(isDmpReady);
      });
    });
  });
};
/**
 * Get if DMP is consented value
 * @return {Promise<boolean>}
 */

export var getIsDMPReady = function getIsDMPReady() {
  // if we have some value defined for isDmpReady
  // we returning it and don't check anything else
  if (isDmpReady !== undefined) return isDmpReady; // if we don't have any value, we must check async
  // but as we don't want to block anything yet
  // we assume we don't have the consent and return false

  checkIsDMPReady();
};